DoWhileStatement (Groovy 2.4.3)
Date: 2015-03-23

org.codehaus.groovy.ast.stmt

## Class DoWhileStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.DoWhileStatement

- All Implemented Interfaces:
    LoopingStatement

      public class DoWhileStatement
      extends Statement
      implements LoopingStatement

  Represents a do { ... } while (condition) loop in Groovy
  Version:
    $Revision$
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `getBooleanExpression()`
    `Statement` | `getLoopBlock()` Gets the loop block.
    `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `void` | `setLoopBlock(Statement loopBlock)` Sets the loop block.
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoWhileStatement

          public DoWhileStatement(BooleanExpression booleanExpression,
                          Statement loopBlock)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getBooleanExpression

          public BooleanExpression getBooleanExpression()

    - #### getLoopBlock

          public Statement getLoopBlock()

      Description copied from interface: `LoopingStatement`
      Gets the loop block.
      Specified by:
        `getLoopBlock` in interface `LoopingStatement`

    - #### setBooleanExpression

          public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### setLoopBlock

          public void setLoopBlock(Statement loopBlock)

      Description copied from interface: `LoopingStatement`
      Sets the loop block.
      Specified by:
        `setLoopBlock` in interface `LoopingStatement`